"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useRookLogger = void 0;
var _react = require("@xstate/react");
var _LoggerController = require("../controllers/LoggerController");
const useRookLogger = () => {
  const [_, send] = (0, _react.useMachine)(_LoggerController.LoggerController);
  const initLogger = props => {
    const {
      clientUUID,
      environment,
      sdkInfo,
      userID
    } = props;
    send({
      type: 'init',
      payload: {
        clientUUID,
        environment,
        sdkInfo,
        userID
      }
    });
  };
  const sendExtractionLog = content => {
    send({
      type: 'send',
      payload: content
    });
  };
  const sendTransmissionLog = content => {
    send({
      type: 'send',
      payload: content
    });
  };
  return {
    initLogger,
    sendExtractionLog,
    sendTransmissionLog
  };
};
exports.useRookLogger = useRookLogger;
//# sourceMappingURL=useRookLogger.js.map