import { useMachine } from '@xstate/react';
import { LoggerController } from '../controllers/LoggerController';
export const useRookLogger = () => {
  const [_, send] = useMachine(LoggerController);
  const initLogger = props => {
    const {
      clientUUID,
      environment,
      sdkInfo,
      userID
    } = props;
    send({
      type: 'init',
      payload: {
        clientUUID,
        environment,
        sdkInfo,
        userID
      }
    });
  };
  const sendExtractionLog = content => {
    send({
      type: 'send',
      payload: content
    });
  };
  const sendTransmissionLog = content => {
    send({
      type: 'send',
      payload: content
    });
  };
  return {
    initLogger,
    sendExtractionLog,
    sendTransmissionLog
  };
};
//# sourceMappingURL=useRookLogger.js.map